using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ChartSamples
{
  public class Editor : UserControl
  {
    private DependencyProperty DataContextInternalProperty = DependencyProperty.Register(
    "DataContextInternal", typeof(object), typeof(Editor), 
    new PropertyMetadata(null, OnDataContextInternalChanged));

    private static void OnDataContextInternalChanged(DependencyObject obj, DependencyPropertyChangedEventArgs args)
    {
      Editor ed = (Editor)obj;
      ed.OnDataContextChanged(obj, args);
    }
    
    virtual protected void OnDataContextChanged(DependencyObject obj, DependencyPropertyChangedEventArgs args)
    {
    }

    public Editor()
    {
      SetBinding(DataContextInternalProperty, new Binding());
    }
  }
}
